@media only screen and (min-width: 1400px) and (max-width: 1440px) {
    .banner_content {
        top: 140px !important;
    }

    .banner_info h1 {
        font-size: 42px !important;
    }
}

@media only screen and (min-width: 1200px) and (max-width: 1399px) {
    .banner_content {
        top: 100px !important;
    }
}

@media only screen and (min-width: 992px) and (max-width: 1199px) {

    .main_header .navbar-nav {
        gap: 16px;
    }

    .banner_shape {
        width: 70% !important;
    }

    .banner_content {
        top: 90px !important;
    }

    .banner_info {
        left: 26px !important;
    }

    .banner_logo {
        width: 38% !important;
        padding-bottom: 8px !important;
    }

    .banner_info p {
        font-size: 16px !important;
        padding-bottom: 20px !important;
    }

    .banner_content a {
        width: 147px !important;
        font-size: 12px !important;
    }


    .login_card {
        max-width: 50% !important;
    }

    .reels_container {
        max-width: 100% !important;
    }

    .banner_info h1 {
        font-size: 30px !important;
    }

    .banner_bg_img {
        padding: 60px 0 120px !important;
    }

    .login_details {
        padding: 0 30px 30px 30px !important;
    }

    .login {
        padding: 60px !important;
        margin: 0 !important;
    }
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .navbar-nav {
        gap: 2px !important;
    }

    .main_header a {
        font-size: 14px !important;
    }

    .banner_img {
        height: 334px !important;
        object-fit: cover !important;
    }

    .banner_info h1 {
        font-size: 28px !important;
        margin-bottom: 15px !important;
    }

    .banner_shape {
        width: 64% !important;
    }

    .banner_content {
        top: 80px !important;
    }

    .banner_info {
        left: 4px !important;
    }

    .banner_logo {
        width: 35% !important;
        padding-bottom: 8px !important;
    }

    .banner_info p {
        font-size: 16px !important;
        padding-bottom: 15px !important;
    }

    .banner_content a {
        width: 147px !important;
        font-size: 12px !important;
    }

    .decoration_img {
        width: 65% !important;
    }

    .footer_content {
        grid-template-columns: repeat(2, 1fr) !important;
    }

    .login_card {
        max-width: 70% !important;
    }

    .slide {
        height: 200px !important;
    }

    .banner_bg_img {
        padding: 32px 0 120px !important;
    }

    .slider-container {
        height: 235px !important;

    }

    .footer-menu {
        gap: 22px !important;
    }

    .about_mahadev {
        margin-top: 20px !important;
    }

    .information_mahadev h2 {
        font-size: 28px !important;
        text-align: center;
    }
    .contact-row {
        display: block !important;
    }
    .info-card{
        gap: 10px !important;
        margin-bottom: 10px !important;
        justify-content: start !important;
    }
    .contact-box{
        padding: 30px 30px 20px 30px !important;
    }
}

@media only screen and (min-width: 576px) and (max-width: 767px) {
    .banner_info {
        /*color: var(--primary) !important;*/
        left: 0 !important;
        width: 342px !important;
    }

    .banner_logo {
        padding-bottom: 15px !important;
    }

    .banner_content {
        top: 50px !important;
    }

    .banner_info h1 {
        font-size: 28px !important;
        margin-bottom: 10px !important;
    }

    .banner_img {
        height: 255px !important;
        object-fit: cover !important;
    }

    .banner_info p {
        padding-bottom: 10px !important;
        font-size: 14px !important;
    }

    .green_logo {
        padding-bottom: 13px !important;
    }

    .banner_content a {

        padding: 10px !important;
        font-size: 14px !important;
    }

    .decoration_img {
        width: 65% !important;
    }

    .gallery-tabs .tab {
        padding: 10px 16px !important;
        border-radius: 14px !important;
    }

    .gallery-header {
        margin-bottom: 28px !important;
    }

    .gallery {
        grid-template-columns: repeat(2, 1fr) !important;
        grid-template-rows: auto !important;
        margin-bottom: 40px !important;
    }

    .img_1 {
        grid-column: 1 !important;
        grid-row: auto !important;
    }

    .img_2 {
        grid-column: 2 !important;
        grid-row: auto !important;
    }

    .img_3 {
        grid-column: 1 / -1 !important;
        grid-row: auto !important;
    }

    .img_4 {
        grid-column: 1 !important;
        grid-row: auto !important;
    }

    .img_5 {
        grid-column: 2 !important;
        grid-row: auto !important;
    }

    .videos-main {
        grid-template-columns: repeat(2, 1fr) !important;
    }
    .vision-title,.about-title h2 ,.title h2,.purpose_title,.commitment-heading,.Commitment,.contact-title,.with_us {
        font-size: 36px !important;
    }

    }

@media only screen and (max-width: 576px) {
    .reels_container {
        max-width: 100% !important;
    }

    .banner_bg {
        margin-top: 0 !important;
    }

    .custom-slider .owl-nav .owl-prev {
        left: -47px !important;
    }

    .custom-slider .owl-nav .owl-next {
        right: -47px !important;
    }

    .gallery-tabs {
        flex-wrap: wrap;
        justify-content: center;
    }

    .slider-wrapper {
        padding: 0px 15px 32px !important;
        margin-bottom: 0 !important;
    }

    .custom-slider .owl-nav {
        position: relative !important;
        display: flex !important;
        justify-content: center !important;
        gap: 20px !important;
        margin-top: 20px;
    }

    .custom-slider .owl-nav button {
        position: static !important;
        transform: none !important;
        font-size: 18px !important;
    }

    .custom-slider .owl-nav .owl-prev,
    .custom-slider .owl-nav .owl-next {
        left: auto !important;
        right: auto !important;
    }

    .comment_box {
        /*bottom: 0;*/
        /*transform: translate(-50%, 0);*/
        /*height: 60%;*/
        /*border-radius: 16px 16px 0 0;*/
        max-width: 100% !important;
    }

    .input_wrapper {
        /*gap: 5px !important;*/
        width: 90% !important;
    }

    .reel_actions {
        bottom: 20% !important;
    }

    .footer_content {
        grid-template-columns: 1fr !important;
    }

    .footer_bottom {
        flex-direction: column !important;
        text-align: center !important;
        gap: 10px !important;
    }

    .footer_links a {
        margin: 0 8px !important;
    }

    .about_title {
        font-size: 22px;
    }

    .decorative_img {
        width: 100% !important;
    }

    .video-thumbnail {
        /*height: 230px !important;*/
    }

    .login_card {
        max-width: 100% !important;
        box-shadow: none !important;
    }

    .login_card h2 {
        font-size: 20px !important;
    }

    .footer_content {
        gap: 10px !important;
    }

    .gallery_bigimg {
        margin: 0 !important;
    }

    .information_mahadev h2 {
        font-size: 28px !important;
    }

    .slider-wrapper {
        height: 220px !important;
    }

    .sliderr {
        width: 90px !important;
        height: 170px !important;
    }

    .sliderr.prev,
    .sliderr.next {
        width: 90px !important;
        height: 145px !important;
    }

    .sliderr.active {
        width: 120px !important;
        height: 180px !important;
    }

    .sliderr {
        width: 50px !important;
        height: 80px !important;
    }

    .footer-menu {
        flex-wrap: wrap !important;
        gap: 15px !important;
        padding: 0 0 10px 0 !important;
        display: grid !important;
        grid-template-columns: repeat(2, 1fr) !important;
    }

    .banner_para {
        width: 100% !important;
    }

    .banner_title {
        width: 281px !important;
        font-size: 28px !important;
    }

    .top_header_text {
        font-size: 12px !important;
    }

    .information_mahadev {
        font-size: 14px !important;
    }

    .about_mahadev {
        margin-top: 0 !important;
        /*margin-bottom: 0 !important;*/
    }

    .banner_bg_img {
        padding: 60px 0 70px !important;
    }

    .about_mahadev_text {
        text-align: center !important;
    }

    .footer-center p {
        font-size: 12px !important;
    }

    .details {
        font-size: 16px !important;
    }

    .personal h6 {
        font-size: 16px !important;
    }

    .privacy {
        font-size: 24px !important;
        margin: 30px 0 !important;
    }

    .login {
        background-image: none !important;
        margin: 0 !important;
    }

    .login_details {
        padding: 0 30px 30px 30px !important;
    }

    .account_details {
        padding: 20px !important;
    }

    .login {
        min-height: 100% !important;
        padding: 50px 0 !important;
    }

    .fixed-top {
        top: 43px !important;
    }

    .live_darshan_bg {
        margin-top: 35px !important;
    }

    .gallery_img {
        margin: 15px 0 15px 0 !important;
    }

    /*.about-title h2 {*/
    /*    font-size: 24px !important;*/
    /*}*/



    .vision-card p {
        font-size: 16px !important;
    }

    /*.title h2 {*/
    /*    font-size: 24px !important;*/
    /*}*/

    .status-col {
        flex: 0 0 100% !important;
    }

    .status-title {
        font-size: 26px !important;
    }

    .img-front, .user-card, .contact-box {
        width: 100% !important;
    }

    .password {
        background: rgba(255, 255, 255, 0.95) none;
        max-width: none !important;
        width: 110% !important;
        padding: 56px 9px;
        /*border-radius: none !important;*/
        box-shadow: none !important;
        /*text-align:n one !important;*/
    }

    /*.contact-col {*/
    /*    margin-bottom: 10px !important;*/
    /*}*/
    .contact-box {
        padding: 16px 16px 8px 16px !important;
    }

    .info-value {
        font-size: 13px !important;
    }

    .purpose_section {
        background: linear-gradient(135deg, #2F5F9D 0%, #478CD1 100%) !important;
    }

    .about-box, .vision-card {
        width: 100% !important;
        padding: 20px !important;
    }

    .about-section, .commitment-sec {
        padding: 20px 15px !important;
    }

    .about-title {
        margin-bottom: 15px !important;
    }

    .about-title h2 {
        margin-bottom: 0 !important;
    }

    .vision-section, .user-section, .contact-sec {
        padding: 25px 0 !important;
    }

    .vision-icon {
        width: 60px !important;
        height: 60px !important;
    }

    .provide_card {
        gap: 7px !important;
    }
    .title {
        margin-bottom: 25px !important;
    }

    .provide_card, .user-card {
        padding: 15px !important;
    }

    .purpose_section {
        padding: 25px 0 !important;
    }

    .encourage, .commit-card {

        font-size: 14px !important;
    }

    .commitment-list {
        padding-left: 51px !important;
    }

    .commitment-list::before {
        left: 5px !important;
    }

    .use_website {
        font-size: 20px !important;
    }

    .user-card p {
        font-size: 14px !important;
        padding: 0 !important;
    }

    .info-card {
        padding: 15px 9px !important;
        justify-content: left !important;
        margin-bottom: 10px !important;
    }
    .contact-row {
        display: block !important;
    }
    .about-box p{
        font-size: 16px !important;
    }
}

@media only screen and (min-width: 375px) and (max-width: 480px) {
    .banner_info {
        /*color: var(--primary) !important;*/
        left: 0 !important;
        width: 300px !important;
    }

    .banner_logo {
        padding-bottom: 15px !important;
    }

    .banner_content {
        top: 25px !important;
    }

    .banner_info h1 {
        font-size: 22px !important;
        margin-bottom: 10px !important;
    }

    .banner_img {
        height: 177px !important;
        object-fit: cover !important;
    }

    .banner_info p {
        padding-bottom: 10px !important;
        font-size: 11px !important;
    }

    .banner_content a {
        padding: 10px !important;
        font-size: 13px !important;
    }

    .green_logo {
        padding-bottom: 13px !important;
        width: 48% !important;
    }

    .decoration_img {
        width: 80% !important;
    }

    .devine_msg_text h2 {
        font-size: 20px !important;
    }

    .live-darshan_text h2 {
        padding-bottom: 14px !important;
        font-size: 20px !important;
    }

    .live-darshan_text {
        padding-top: 30px !important;
    }

    .white_decoration {
        width: 80% !important;
    }

    .gallery-tabs .tab {
        padding: 7px 21px !important;
        border-radius: 13px !important;
        font-size: 12px !important;
    }

    .gallery-header {
        margin-bottom: 30px !important;
    }

    .gallery {
        margin-bottom: 35px !important;
        grid-template-columns: 1fr !important;
        gap: 12px !important;
    }

    .view-all {
        font-size: 12px !important;
    }

    .slider-card {

        /*height: 100% !important;*/
        /*width: 50% !important;*/
        display: flex !important;
        justify-content: center !important;
        padding: 7px !important;
    }

    .slider-card img {
        width: 100%;
        height: 100%;
        /* 👈 custom height */
        object-fit: cover;
    }

    .custom-slider.owl-drag .owl-item {
        display: flex !important;
        justify-content: center !important;
    }

    .gallery > div {
        grid-column: auto !important;
        grid-row: auto !important;
    }

    .videos-main {
        grid-template-columns: repeat(2, 1fr) !important;
        gap: 16px !important;
    }

    .otp_box input {
        width: 50px !important;
        height: 50px !important;
    }

    .banner_bg_img {
        padding: 56px 0 88px !important;
    }

    .about_mahadev_text h2 {
        font-size: 20px !important;
    }

    .daily_darshan {
        font-size: 14px !important;
    }

    .regular_sacred {
        font-size: 12px !important;
    }

    .provide_icon {
        margin: 12px !important;
    }

    /*.about-box p {*/
    /*    font-size: 14px !important;*/
    /*}*/

    .icon_box {
        width: 50px !important;
    }

    .about-title h2 {
        font-size: 34px !important;
    }

    .vision-title {
        font-size: 34px !important;
    }

    .title h2 {
        font-size: 34px !important;
    }

    .purpose_title {
        font-size: 34px !important;
    }

    .commitment-heading {
        font-size: 34px !important;
    }

    .Commitment {
        font-size: 34px !important;
    }

    .contact-title {
        font-size: 34px !important;
    }

    .with_us {
        font-size: 34px !important;
    }

    .icon_box {
        height: 47px !important;
    }
}

@media only screen and (min-width: 320px) and (max-width: 991px) {
    /*.gallery {*/
    /*    grid-template-columns: repeat(3, 1fr) !important;*/
    /*    grid-template-rows: auto !important;*/
    /*}*/
    .div1 {
        grid-column: 1 !important;
        grid-row: auto !important;
    }

    .div2 {
        grid-column: 2 !important;
        grid-row: auto !important;
    }

    .div3 {
        grid-column: 1 / -1 !important;
        grid-row: auto !important;
    }

    .div4 {
        grid-column: 1 !important;
        grid-row: auto !important;
    }

    .div5 {
        grid-column: 2 !important;
        grid-row: auto !important;
    }
}

@media only screen and (min-width: 320px) and (max-width: 374px) {

    .banner_info {
        /*color: var(--primary) !important;*/
        left: 0 !important;
        width: 217px !important;
    }

    .banner_logo {
        padding-bottom: 15px !important;
    }

    .banner_content {
        top: 25px !important;
    }

    .banner_info h1 {
        font-size: 18px !important;
        margin-bottom: 5px !important;
    }

    .banner_img {
        height: 143px !important;
        object-fit: cover !important;
    }

    .banner_info p {
        padding-bottom: 12px !important;
        font-size: 9px !important;
        margin-bottom: 0 !important;
    }

    .banner_content a {
        padding: 7px !important;
        font-size: 10px !important;
    }

    .green_logo {
        padding-bottom: 13px !important;
        width: 56% !important;
    }


    .decoration_img {
        width: 75% !important;
    }

    .devine_msg_text h2 {
        font-size: 18px !important;
        padding-top: 8px !important;
    }

    .live-darshan_text h2 {
        padding-bottom: 14px !important;
        font-size: 20px !important;
    }

    .live-darshan_text img {
        padding-bottom: 12px !important;
    }

    .white_decoration {
        width: 75% !important;
    }

    .live-darshan_text {
        padding-top: 22px !important;
    }

    .gallery-tabs .tab {
        padding: 7px 21px !important;
        border-radius: 13px !important;
        font-size: 12px !important;
    }

    .gallery-header {
        margin-bottom: 30px !important;
    }

    .gallery {
        margin-bottom: 35px !important;
    }

    .view-all {
        font-size: 12px !important;
    }

    .slider-card {
        /*height: 100% !important;*/
        /*width: 62% !important;*/
        display: flex !important;
        justify-content: center !important;
        padding: 6px !important;
    }

    .slider-card img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .otp_box input {
        width: 50px !important;
        height: 50px !important;
    }

    /*.owl-carousel.owl-drag .owl-item {*/
    /*    !*display: flex !important;*!*/
    /*    justify-content: center !important;*/
    /*}*/
    .gallery {
        grid-template-columns: 1fr !important;
        gap: 12px !important;
    }

    .gallery > div {
        grid-column: auto !important;
        grid-row: auto !important;
    }

    .ticker-content {
        font-size: 12px !important;
    }

    .ticker-wrapper {
        padding: 9px 0 !important;
    }

    .videos-main {
        grid-template-columns: repeat(2, 1fr) !important;
        gap: 16px !important;
    }

    .view-all {
        bottom: 0 !important;
    }

    .comment_box {
        /*bottom: 0;*/
        /*transform: translate(-50%, 0);*/
        /*height: 60%;*/
        /*border-radius: 16px 16px 0 0;*/
        max-width: 100% !important;
    }

    .decoration, .commitment-card {
        width: 100% !important;
    }

    .about_mahadev_text h2 {
        font-size: 18px !important;
    }

    .login_details {
        padding: 0 10px 10px 10px !important;
    }

    .daily_darshan {
        font-size: 14px !important;
    }

    .regular_sacred {
        font-size: 12px !important;
    }

    .provide_icon {
        margin: 12px !important;
    }

    /*.about-box p {*/
    /*    font-size: 14px !important;*/
    /*}*/

    .icon_box {
        width: 50px !important;
    }

    .about-title h2 {
        font-size: 34px !important;
    }

    .vision-title {
        font-size: 32px !important;
    }

    .title h2 {
        font-size: 34px;
    }

    .purpose_title {
        font-size: 32px !important;
    }

    .commitment-heading {
        font-size: 34px !important;
    }

    .Commitment {
        font-size: 34px !important;
    }

    .contact-title {
        font-size: 34px !important;
    }

    .with_us {
        font-size: 34px !important;
    }

    .title h2 {
        font-size: 32px !important;
    }
    .header-scroller-wrapper {
        right: 13px !important;
    }
}

@media (max-width: 991px) {
    .slider-swipe .image-2 {
        width: 25%;
    }
    .slider-swipe .image-3 {
        width: 50%;
    }
}

@media (max-width: 767px) {
    .slider {
        margin: 20px 0 !important;
    }

    .slider-container {
        height: 315px !important;
    }

    .slide {
        width: 50% !important;
        height: 280px !important;
    }

    /* LEFT */
    .slide.slide-1 {
        left: -10% !important;
        transform: scale(0.85) rotateY(-15deg) !important;
        opacity: 1 !important;
        z-index: 1 !important;
    }

    /* CENTER (ACTIVE) */
    .slide.slide-2 {
        /*left: 15% !important;*/
        left: 25% !important;
        transform: scale(1) rotateY(0deg) !important;
        opacity: 1 !important;
        z-index: 3 !important;
    }

    /* RIGHT */
    .slide.slide-3 {
        left: 55% !important;
        transform: scale(0.85) rotateY(15deg) !important;
        opacity: 1 !important;
        z-index: 1 !important;
    }

    /* HIDE EXTRA SLIDES */
    .slide.slide-4,
    .slide.slide-5 {
        opacity: 0 !important;
        pointer-events: none !important;
    }

    .gallery_s1.gallery_middle {
        aspect-ratio: 366 / 532;
    }
}
